org.apache.olingo.odata2.api.batch

## Class BatchResponsePart

- java.lang.Object
- - org.apache.olingo.odata2.api.batch.BatchResponsePart

- All Implemented Interfaces:
    BatchParserResult

      public abstract class BatchResponsePart
      extends Object
      implements BatchParserResult

  A BatchResponsePart

  BatchResponsePart represents a distinct part of a Batch Response body. It can be a ChangeSet response or a response to a retrieve request

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchResponsePart.BatchResponsePartBuilder` Implementation of the builder pattern to create instances of this type of object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchResponsePart()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatchResponsePart.BatchResponsePartBuilder` | `changeSet(boolean isChangeSet)`
    `abstract List<ODataResponse>` | `getResponses()` Get responses.
    `abstract boolean` | `isChangeSet()` Get the info if a BatchResponsePart is a ChangeSet response
    `static BatchResponsePart.BatchResponsePartBuilder` | `newBuilder()`
    `static BatchResponsePart.BatchResponsePartBuilder` | `responses(List<ODataResponse> responses)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchResponsePart

          public BatchResponsePart()

  - ### Method Detail

    - #### getResponses

          public abstract List<ODataResponse> getResponses()

      Get responses. If a BatchResponsePart is a response to a retrieve request, the list consists of one response.
      Returns:
        a list of `ODataResponse`

    - #### isChangeSet

          public abstract boolean isChangeSet()

      Get the info if a BatchResponsePart is a ChangeSet response
      Returns:
        true or false

    - #### responses

          public static BatchResponsePart.BatchResponsePartBuilder responses(List<ODataResponse> responses)

      Parameters:
        `responses` - a list of `ODataResponse`
      Returns:
        a builder object

    - #### changeSet

          public static BatchResponsePart.BatchResponsePartBuilder changeSet(boolean isChangeSet)

      Parameters:
        `isChangeSet` - true if a BatchResponsePart is a ChangeSet response
      Returns:
        a builder object

    - #### newBuilder

          public static BatchResponsePart.BatchResponsePartBuilder newBuilder()

      Returns:
        returns a new builder object

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.